<!DOCTYPE html>
<html>
  <head>

  </head>

  <body>

    <ul id="playlist">
    </ul>

    <input type="button" id="proceed" value="Löschen!" />

  </body>

  <script>
    fetch("https://xn--4ca9a.eu/FH/playlist.json")
      .then(response => response.json())
      .then(json => {
        json.items.forEach((element, index) => {
          var newLi = document.createElement('li');
          newLi.innerHTML = element.snippet.title;
          document.getElementById('playlist').appendChild(newLi);
        })
      });

      document.getElementById('playlist').addEventListener('dblclick', function(event){
        event.srcElement.style.color = 'green';
        event.srcElement.className = 'selected';
      });

      document.getElementById('proceed').addEventListener('click', function(event){
        var playlist = document.getElementById('playlist');

        console.dir(playlist);

        [...playlist.children].forEach((element, index) => {
          if(element.className != 'selected')
          {
            playlist.removeChild(element);
          }
        });

      });

  </script>

</html>